Page MenuHomePhabricator

Switch to using CirrusSearch's "morelike:" prefix for fetching Read More suggestions.
Closed, ResolvedPublic3 Estimate Story Points

Description

The CirrusSearch API provides a "morelike:" prefix that is specifically intended for retrieving similar articles. This would be an improvement over our current method of getting similar articles (a simple full-text search query).

https://www.mediawiki.org/wiki/Help:CirrusSearch#Special_prefixes

  • Add a feature flag to split users 50/50 for using the old method vs. the new.

The event logging schema (https://meta.wikimedia.org/wiki/Schema:MobileWikiAppArticleSuggestions) has been modified to include a "readMoreSource" parameter used for logging whether the old or new method was used (0=old, 1=new). Note that the "version" parameter was removed from the schema.

Details

Related Gerrit Patches:

Event Timeline

Dbrant created this task.Jun 1 2015, 10:27 PM
Dbrant raised the priority of this task from to Needs Triage.
Dbrant updated the task description. (Show Details)
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2015, 10:27 PM
Dbrant updated the task description. (Show Details)Jun 2 2015, 7:06 PM
Dbrant set Security to None.
Dbrant moved this task from Needs Triage to Next Sprint on the Wikipedia-Android-App-Backlog board.
KLans_WMF edited a custom field.Jun 5 2015, 5:43 PM
Dbrant updated the task description. (Show Details)Jun 15 2015, 8:40 PM

Change 218983 had a related patch set uploaded (by Niedzielski):
Enable morelike Cirrus search for half of users

https://gerrit.wikimedia.org/r/218983

I just noticed that the existing "read more" algorithm now includes main pages (and presumably disambiguation pages) again even though I thought we had that fixed in T95365. See, for example, the suggestions on "Panama-Pacific commemorative coins."

Here are the query results for that page: https://en.wikipedia.org/w/api.php?action=query&prop=pageterms|pageprops&ppprop=mainpage|disambiguation&wbptterms=description&generator=search&gsrsearch=Panama%E2%80%93Pacific_commemorative_coins&gsrnamespace=0&gsrwhat=text&gsrinfo=&gsrprop=redirecttitle&gsrlimit=5

Confirmed that disambiguation pages are back in the results as well. See "California State Route 57."

This seems to have resolved itself; the main page is no longer a result of the above query. I guess you can disregard.

Change 218983 merged by jenkins-bot:
Enable morelike Cirrus search for half of users

https://gerrit.wikimedia.org/r/218983

Checked on 2.0.103-alpha-2015-06-25 on Samsung Tablet Ce0168(Android 4.0.4 (and compared with iOS where "morelike:" prefix not implemented).

Good examples to check the following articles and see improvements in fetching relevant results in 'Read more':

  • Color
  • Broth
  • Moth
Dbrant closed this task as Resolved.Jul 7 2015, 7:20 PM